//SupprimerObjets_301f.js
// 15.09.13 / Hans Haesler, Chtelard 52, CH-1018 Lausanne / hsa@ringier.ch
//DESCRIPTION:Supprimer les objets en-dehors des pages

// activer l'affichage des dialogues
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

if (app.documents.length == 0) {
	alert ("Il n'y a pas de document ouvert.", "Attention");
	exit();
}

// le document au premier plan
var curDoc = app.documents[0];

// dverrouiller les calques (si ncessaire)
var lockList = new Array ();
var layrLock = curDoc.layers.everyItem().locked;
for (var i=0; i<layrLock.length; i++) {
	if (layrLock[i] == true) {
		curDoc.layers[i].locked = false;
		lockList.push(true);
	}
	else {
		lockList.push(false);
	}
}

// l'attribut 'parent' de tous les objets
var allParents = curDoc.pageItems.everyItem().parent;

// une boucle  travers la liste des attributs
for (var n=allParents.length-1; n>-1; n--) {
	// quand 'parent' n'est pas un objet page...
	if (allParents[n] != "[object Page]") {
		// dverrouiller l'objet (prventif)
		curDoc.pageItems[n].locked = false;
		// et le supprimer
		try {
			curDoc.pageItems[n].remove();
		}
		catch (e) {
		}
	}
}

// verrouiller les calques (si ncessaire)
for (var i=0; i<lockList.length; i++) {
	if (lockList[i] == true) {
		curDoc.layers[i].locked = true;
	}
}

// annoncer la fin de l'action
var dlog = new Window("palette");
dlog.size = [320,100];
dlog.add("statictext", [80, 100, 320, 116], "Termin.");
dlog.show();
// une petite pause
$.sleep(999);
// fermer la fentre
dlog.close();
